Skip to content
Last updated

Update a Warehouse

If you need to change the name, origin address, or return address for an existing warehouse, you can use the PUT method with the warehouses endpoint.

Requirements

  • Include the warehouse_id for the warehouse you wish to update as a parameter in the endpoint for the request.

Example Request

PUT /v1/warehouses/:warehouse_id

PUT /v1/warehouses/se-17008 HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json

{
  "warehouse_id": "se-17008",
  "name": "Example Corp East Warehouse",
  "origin_address": {
    "company_name": "Example Corp.",
    "name": "John Doe",
    "phone": "111-111-1111",
    "email": "recipient@example.com",
    "address_line1": "4009 Marathon Blvd",
    "address_line2": "Suite 300",
    "city_locality": "Austin",
    "state_province": "TX",
    "postal_code": "78756",
    "country_code": "US",
    "address_residential_indicator": "no"
  },
  "return_address": {
    "name": "Example Corp. Returns",
    "phone": "222-222-2222",
    "email": "sender@example.com",
    "company_name": "Example Corp.",
    "address_line1": "345 Chambers Street",
    "address_line2": "Suite 100",
    "city_locality": "New York City",
    "state_province": "NY",
    "postal_code": "10282",
    "country_code": "US"
  }
}

If successful, returns status HTTP 204, (No Content).